
<body>
    <div class="container">
      <div class="title">Add User</div>
      <div class="content">
        <form [formGroup]="userForm" (ngSubmit)="SubmitData()">
          <div class="user-details">
     
           
              <div class="input-box">
                  <span class="details" for="first_name">FirstName</span>
                  <input type="text" id="first_name" placeholder="Enter FirstName" formControlast_name="first_name" required>
                  <div *ngIf="f['first_name'].touched && f['first_name'].invalid" class="alert alert-danger">
                    <div *ngIf="f['first_name'].errors && f['first_name'].errors['required']">FirstName is required.</div>
                    <div *ngIf="f['first_name'].errors && f['first_name'].errors['minlength']">FirstName should be 3 character.</div>
                </div>
              </div>
              <div class="input-box">
                <span class="details" for="last_name">LastName</span>
                <input type="text" id="last_name" placeholder="Enter LastName" formControlast_name="last_name" required>
                <div *ngIf="f['last_name'].touched && f['last_name'].invalid" class="alert alert-danger">
                  <div *ngIf="f['last_name'].errors && f['last_name'].errors['required']">LastName is required.</div>
                  <div *ngIf="f['last_name'].errors && f['last_name'].errors['minlength']">LastName should be 3 character.</div>
              </div>
            </div>
            
            <div class="input-box">
                <span class="details" for="email">Email</span>
                <input type="email" id="email" placeholder="Enter your email" formControlast_name="email" required>
                <div *ngIf="f['email'].touched && f['email'].invalid" class="alert alert-danger">
                    <div *ngIf="f['email'].errors && f['email'].errors['required']">Email is required.</div>
                    <div *ngIf="f['email'].errors && f['email'].errors['email']">Please, enter valid email address.</div>
                </div>
            </div>
            <div class="input-box">
                <span class="details" for="avtar">Avtar</span>
                <input type="text" id="avtar" placeholder="Enter your avtar" formControlast_name="avtar" required>
                <div *ngIf="f['avtar'].touched && f['avtar'].invalid" class="alert alert-danger">
                    <div *ngIf="f['avtar'].errors && f['avtar'].errors['required']">Avtar is required.</div>
                    <div *ngIf="f['avtar'].errors && f['avtar'].errors['minlength']">avtar should be 5 character </div>
                </div>
            </div>

             
       
          </div>
     
          <div class="button">
            <input type="submit" value="Add">
          </div>
  
        
        </form>
      </div>
    </div>
  
  </body>